System Requirements

The system requirements for each of the TykeTEK, Inc. products are listed below.

If you have additional questions, Click Here to contact our support department.

woollyCARE
Internet Explorer 6.0+
Internet Explorer 7+
Firefox 2.0+
Safari 2.0+


polarPARENT
Internet Explorer 6.0+
Internet Explorer 7+
Firefox 2.0+
Safari 2.0+


komodoKAMS
Internet Explorer 6.0+
Internet Explorer 7+
Firefox 2.0+
Safari 2.0+


turtleTOUCH
iPod Touch v1.1.4+
iPhone v1.1.3+